Data Source Trust Scores

Prev Next
Get
/api/v1/Catalog/data-sources/{dataSourceId}/trust-scores

Returns trust score information for a specified data source

Security
API Key: x-val-api-token
Header parameter namex-val-api-token

API key needed to access endpoints. Each Validatar user can manage their own set of API keys.

Path parameters
dataSourceId
integer (int32) Required

Id of the specified data source

Responses
200

OK

Expand All
object
dataSource
object (Configuration.Api.Models.v1.TrustScoresMetaObjectDataSource)
dataSourceName
string | null

Name of the specified data source

dataSourceId
integer (int32)

ID of the specified data source

dataSourceServer
string | null

Server of the specified data source

dataSourceDatabase
string | null

Database of the specified data source

includeInTrustScore
boolean

Whether the specified data source is included in trust scores

avgTrustScores
object (Configuration.Api.Models.v1.TrustScoresAverageTrustScores)
avgTrustScore
number (double)

Average trust score of child tables of the specified meta object

avgQualityScore
number (double)

Average quality score of child tables of the specified meta object

avgCoverageScore
number (double)

Average coverage score of child tables of the specified meta object

avgImpactRatingTrustScoreTarget
number (double)

Average impact rating target trust score of child tables of the specified meta object

avgImpactRatingQualityScoreTarget
number (double)

Average impact rating target quality score of child tables of the specified meta object

avgImpactRatingCoverageScoreTarget
number (double)

Average impact rating target coverage score of child tables of the specified meta object

objectTrustScoresByImpactRating
Array of object (Configuration.Api.Models.v1.TrustScoresByImpactRating) | null

List of table trust score summaries separated by impact rating

object
impactRating
string | null

Name of the impact rating

tablesAboveTargetScore
integer (int32)

Number of tables with the given impact rating at or above the target score

tablesBelowTargetScore
integer (int32)

Number of tables with the given impact rating below the target score

tablesUnknown
integer (int32)

Number of tables with the given impact rating without a trust score value

currentTestStatus
object (Configuration.Api.Models.v1.TrustScoreTestStatus)
passingTests
integer (int32)

Number of currently passing tests associated with the specified meta object

failingTests
integer (int32)

Number of currently failing tests associated with the specified meta object

erroringTests
integer (int32)

Number of currently erroring tests associated with the specified meta object

intermittentTests
integer (int32)

Number of intermittently passing tests associated with the specified meta object

notRunTests
integer (int32)

Number of tests associated with the specified meta object that have not been run